org.apache.groovy.json

## Interface FastStringService

- All Known Implementing Classes:
    DefaultFastStringService, DirectFastStringService

      public interface FastStringService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `noCopyStringFromChars(char[] chars)`
    `char[]` | `toCharArray(java.lang.String string)`

- - ### Method Detail

    - #### toCharArray

          char[] toCharArray(java.lang.String string)

      Parameters:
        `string` - string to grab array from.
      Returns:
        char array from string

    - #### noCopyStringFromChars

          java.lang.String noCopyStringFromChars(char[] chars)

      Parameters:
        `chars` - to shove array into.
      Returns:
        new string with chars copied into it